Update Environment Group

put

/rpa/v1/environmentGroups/{identifier}

Updates the Environment Group identified by the id.

Request

Path Parameters
Query Parameters
Header Parameters
  • For optimistic concurrency control. In the PUT or DELETE call for a resource, set the `if-match` parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource's current etag value.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
The information to be updated.
Show Source
Nested Schema : AutonomousEnvironmentPoolConfig
Type: object
Holds Autonomous Environment Pool Specification
Show Source
Nested Schema : EnvironmentLifecycleConfig
Type: object
Agent Lifecycle Management
Show Source
Nested Schema : EnvironmentScalingConfig
Type: object
Holds ScalingConfig
Show Source
Nested Schema : EnvironmentScaleRule
Type: object
Holds ScaleRule
Show Source
Back to Top

Response

202 Response

Accepted the request. The Environment Group will be updated.
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • Unique Oracle-assigned identifier for the asynchronous work. You can use this to query its status.

400 Response

Bad Request
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

401 Response

Unauthorized
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

404 Response

Not Found
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

412 Response

Precondition failed
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

429 Response

Too Many Requests
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

500 Response

Internal Server Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

Default Response

Unknown Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source
Back to Top